org.appng.openapi.model

## Enum NavigationItem.TypeEnum

- java.lang.Object
- - java.lang.Enum<NavigationItem.TypeEnum>
  - - org.appng.openapi.model.NavigationItem.TypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<NavigationItem.TypeEnum>
  Enclosing class:
    NavigationItem

      public static enum NavigationItem.TypeEnum
      extends Enum<NavigationItem.TypeEnum>

  Gets or Sets type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APP`
    `PAGE`
    `SITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NavigationItem.TypeEnum` | `fromValue(String value)`
    `String` | `getValue()`
    `String` | `toString()`
    `static NavigationItem.TypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NavigationItem.TypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SITE

          public static final NavigationItem.TypeEnum SITE

    - #### APP

          public static final NavigationItem.TypeEnum APP

    - #### PAGE

          public static final NavigationItem.TypeEnum PAGE

  - ### Method Detail

    - #### values

          public static NavigationItem.TypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NavigationItem.TypeEnum c : NavigationItem.TypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NavigationItem.TypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<NavigationItem.TypeEnum>`

    - #### fromValue

          public static NavigationItem.TypeEnum fromValue(String value)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.